# Boost Exception

### exception

#include <boost/exception/exception.hpp>

    namespace
    boost
        {
        class
        exception
            {
            protected:

            exception();
            exception( exception const & x );
            ~exception();
            };
        }

Class boost::exception is designed to be used as a universal base for user-defined exception types.

An object of any type deriving from boost::exception can store data of arbitrary types, using the error_info wrapper and operator<<.

To retrieve data from a boost::exception object, use the get_error_info function template.

### See Also:

Boost Exception
boost/exception/diagnostic_information.hpp
boost/exception/exception.hpp
Configuration Macros
current_exception
Diagnostic Information
diagnostic_information
enable_current_exception
enable_error_info
error_info
exception/operator<<
exception::exception
exception::~exception
get_error_info
Integrating Boost Exception in Existing Exception Class Hierarchies
Transporting of Arbitrary Data to the Catch Site
Transporting of Exceptions Between Threads
tuple/operator<<
unknown_exception